Cyberduck Mountain Duck CLI

#8923 closed defect (fixed)

Transfer Incomplete deletes file contents when connection re-established

Reported by: terrym Owned by: yla
Priority: normal Milestone: 4.8
Component: ftp Version: 4.7.1
Severity: normal Keywords:
Cc: Architecture:
Platform: Windows 7

Description

Most of the time, when a server disconnects me due to inactivity and I then upload a file to the server (being unaware that I've been disconnected), Cyberduck re-establishes the connection, then reports via a popup bubble "Transfer Incomplete". Very rarely this upload is successful, in which case the popup bubble reads "Upload Complete". The "Transfer Incomplete" bubble message I refer to is the second one, not the one that initially shows when Cyberduck begins to re-establish the connection.

When the result is Transfer Incomplete, the contents of the file on the server are erased. An example:

  • send.php is already on the server and has code in it
  • the server disconnects me and I don't know it
  • I upload a revised send.php file and it results in Transfer Incomplete
  • the version of send.php sitting on the server is now empty, ie it contains no characters of any kind.

For a while I had no idea the incomplete transfer was in fact quite complete and very effective at changing the file on the server, though not in a desirable way.

I would like to comply with your request to attach the transcript from the log drawer, but though the text can be selected, Copy and CTRL-C both fail to capture anything, and I cant find any commands in Cyberduck to export the log.

Here is a small sample of the log, which I am typing in manually. From just before the file destroying upload...

226-Options: -a -1
226 31 matches total
CWD /
250 OK. Current directory is /
TYPE A
200 TYPE is now ASCII
PASV
227 Entering Passive Mode (50, 62, 254 1, 196, 113)
MLSD
150 Accepted data connection
type=cdir;sizd=4096;modify=20150709163016;UNIX.mode=0705;UNIX.uid=11819259;UNIX.gid=100450;unique=13g22fa2ce;

and a whole bunch of other entries just like that one as it lists every file and folder in the directory, then the final 2 lines of the log are

226-Options: -a -1
226 31 matches total

So to sum up,

  • most of the time the server is disconnecting me (3 minute inactivity window),
  • all the time Cyberduck has no indication that a connection has been lost,
  • most of the time subsequent uploads destroy files pre-existing on the server.

Change History (8)

comment:1 Changed on Jul 9, 2015 at 6:34:34 PM by terrym

  • Cc terry@glenmorgan.net removed

comment:2 follow-up: Changed on Jul 29, 2015 at 8:17:50 AM by dkocher

Is this with using an external editor?

comment:3 Changed on Jul 29, 2015 at 8:18:39 AM by dkocher

  • Milestone set to 4.8
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 in reply to: ↑ 2 Changed on Jul 29, 2015 at 5:59:32 PM by terrym

Replying to dkocher:

Is this with using an external editor?

I am using Notepad++ to edit my files. I am dragging files from Notepad++ to Cyberduck browser to trigger an upload.

comment:5 Changed on Oct 21, 2015 at 12:20:05 PM by dkocher

  • Owner changed from dkocher to yla
  • Status changed from assigned to new

comment:6 Changed on Oct 28, 2015 at 10:10:21 AM by dkocher

  • Component changed from core to ftp

comment:7 in reply to: ↑ description Changed on Oct 28, 2015 at 10:47:41 AM by dkocher

Replying to terrym:

I would like to comply with your request to attach the transcript from the log drawer, but though the text can be selected, Copy and CTRL-C both fail to capture anything, and I cant find any commands in Cyberduck to export the log.

In #8991.

comment:8 Changed on Jan 20, 2016 at 8:26:18 PM by dkocher

  • Resolution set to fixed
  • Status changed from new to closed

Please update to the latest snapshot build available and reopen this issue if you can still reproduce.

Note: See TracTickets for help on using tickets.